<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'hospital',

    /*
     * Package.
     */
    'package'   => 'econsultation',

    /*
     * Modules.
     */
    'modules'   => ['econsultation'],

    
    'econsultation'       => [
        'model' => [
            'model'                 => \Hospital\Econsultation\Models\Econsultation::class,
            'table'                 => 'econsultations',
            'presenter'             => \Hospital\Econsultation\Repositories\Presenter\EconsultationPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'patient_name',  'email',  'phone',  'gender',  'address',  'question',  'status',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'econsultation/econsultation',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Hospital',
            'package'   => 'Econsultation',
            'module'    => 'Econsultation',
        ],

    ],
];
