<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateEconsultationsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: econsultations
         */
        Schema::create('econsultations', function ($table) {
            $table->increments('id');
            $table->text('patient_name')->nullable();
            $table->text('email')->nullable();
            $table->string('phone', 255)->nullable();
            $table->enum('gender', ['Male','Female','Transgender'])->nullable();
            $table->string('address', 255)->nullable();
            $table->string('question', 255)->nullable();
            $table->enum('status', ['Pending','Answered'])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('econsultations');
    }
}
