<?php

namespace Hospital\Econsultation;

use User;

class Econsultation
{
    /**
     * $econsultation object.
     */
    protected $econsultation;

    /**
     * Constructor.
     */
    public function __construct(\Hospital\Econsultation\Interfaces\EconsultationRepositoryInterface $econsultation)
    {
        $this->econsultation = $econsultation;
    }

    /**
     * Returns count of econsultation.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.econsultation.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->econsultation->pushCriteria(new \Litepie\Hospital\Repositories\Criteria\EconsultationUserCriteria());
        }

        $econsultation = $this->econsultation->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('econsultation::' . $view, compact('econsultation'))->render();
    }
}
