<?php

namespace Hospital\Econsultation\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class EconsultationTransformer extends TransformerAbstract
{
    public function transform(\Hospital\Econsultation\Models\Econsultation $econsultation)
    {
        return [
            'id'                => $econsultation->getRouteKey(),
            'key'               => [
                'public'    => $econsultation->getPublicKey(),
                'route'     => $econsultation->getRouteKey(),
            ], 
            'id'                => $econsultation->id,
            'patient_name'      => $econsultation->patient_name,
            'email'             => $econsultation->email,
            'phone'             => $econsultation->phone,
            'gender'            => $econsultation->gender,
            'address'           => $econsultation->address,
            'question'          => $econsultation->question,
            'status'            => $econsultation->status,
            'created_at'        => $econsultation->created_at,
            'updated_at'        => $econsultation->updated_at,
            'deleted_at'        => $econsultation->deleted_at,
            'url'               => [
                'public'    => trans_url('econsultation/'.$econsultation->getPublicKey()),
                'user'      => guard_url('econsultation/econsultation/'.$econsultation->getRouteKey()),
            ], 
            'status'            => trans('app.'.$econsultation->status),
            'created_at'        => format_date($econsultation->created_at),
            'updated_at'        => format_date($econsultation->updated_at),
        ];
    }
}